<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" />
<xsl:template match="/">
<xsl:variable name="return_value">
<xsl:call-template name="replace-string">
<xsl:with-param name="original" select="/string-to-convert/@original"></xsl:with-param>
<xsl:with-param name="substring" select="/string-to-convert/@substring"></xsl:with-param>
<xsl:with-param name="replacement" select="/string-to-convert/@replacement"></xsl:with-param>
</xsl:call-template>
</xsl:variable>
<xsl:value-of select="$return_value" />
</xsl:template>
<xsl:template name="replace-string">
<xsl:param name="original" />
<xsl:param name="substring" />
<xsl:param name="replacement" />
<xsl:choose>
<xsl:when test="contains($original, $substring)">
<xsl:value-of select="substring-before($original, $substring)" />
<xsl:value-of select="$replacement" />
<xsl:call-template name="replace-string">
<xsl:with-param name="original" select="substring-after($original, $substring)" />
<xsl:with-param name="substring" select="$substring" />
<xsl:with-param name="replacement" select="$replacement" />
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$original" />
</xsl:otherwise>
</xsl:choose>
</xsl:template> 
</xsl:stylesheet>
